Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsPerson

[show private | hide private]
[frames | no frames]

## Class TwistedWordsPerson

    AbstractPerson --+
                     |
                    TwistedWordsPerson

I a facade for a person you can talk to through a twisted.words service.

Method Summary
| `__init__(self, name, wordsClient, chatui)`
| `__repr__(self)` (inherited from `AbstractPerson`)
| `__str__(self)` (inherited from `AbstractPerson`)
| ``getIdleTime`(self)` Returns a string. (inherited from `AbstractPerson`)
| ``getPersonCommands`(self)` finds person commands (inherited from `AbstractPerson`)
| `getStatus(self)`
| `imperson_converse(self)` (inherited from `AbstractPerson`)
| `isOnline(self)`
| `metadataFailed(self, result, text)`
| ``sendMessage`(self, text, metadata)` Return a deferred...
| `setStatus(self, status)`

Method Details

### sendMessage(self, text, metadata)

Return a deferred...

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net